Datasets
Get Specific Dataset
Get a download URL for a specific dataset.
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Path Parameters
datasourceSlug*string
Data source slug (e.g., de-handelsregister, fr-registre-national-des-entreprises)
datasetId*string
The dataset filename (e.g., de_handelsregister_reports_2025-01-15.jsonl.zip)
Header Parameters
Kausate-Version?string
Default
"2026-05-01"Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/datasets/de-handelsregister/string" \ -H "Kausate-Version: 2026-05-01"{
"downloadUrl": "http://example.com",
"fileSizeBytes": 0,
"recordCount": 0,
"jsonlSizeBytes": 0
}{
"detail": "Invalid API key"
}{
"detail": "Dataset not found"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}{
"detail": "An internal error occurred"
}Last updated on